WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Quick Shop

Quick Shop is a WordPress Shopping Cart with both Paypal and Email functionality built-in.

  1. Upload the 'quick-shop' folder to the /wp-content/plugins/ directory

  2. Activate the plugin through the 'Plugins' menu in WordPress

  3. Edit your Quick Shop settings in Settings -> Quick Shop

  4. Edit your Quick Shop inventory in Tools - > Quick Shop

  5. Add tags to your post text using the TinyMCE button

If the TinyMCE Quick Shop button doesn't appear, simply type:

[quickshop product="WHATEVER_YOUR_PRODUCT_NAME_IS"]

As of version 2.1, Quick Shop is compatible with WordPress MU again. However, sitewide activation has not been tested.

Also, you must enable the widget and a payment option for those items to appear on the checkout page.

  • Please note that when using the CFormsII plugin email payment request it assumes that the first CFormsII form (number 1 or the default one) is the one to use. Please tell it to redirect to a 'Thank You' page in WordPress in the Core Form Admin / Email Options so that it has time to show that your cart is empty. All other options are also editable here so you can fine tune your email. I recommend turning Auto Confirmation on as well. Edit checkout.php email section to add new fields or change the default form used!

Upgrade Information

Activate the Quick Shop Updater plugin that is included with plugin to automatically upgrade all your old tags from Quick Shop v1 to v2. Once activated, visit the Tools > Quick Shop Updater page to initiate the update process. The content of the Quick Shop tags in all posts and pages will be placed in the new inventory list and the tags will be updated to the new notation. The Quick Shop Updater plugin can then be deactivated and deleted.

On WordPress MU, sitewide activation of the Quick Shop Updater plugin has not been tested!

Requires: 2.8 or higher
Compatible up to: 3.3.2
Last Updated: 2012-5-7
Downloads: 110,215

Ratings

3 stars
3.7 out of 5 stars

Support

1 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,2,2
100,1,1 0,1,0 100,2,2 33,3,1
100,2,2
57,7,4
100,1,1
100,5,5
100,1,1
100,2,2
100,1,1